Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| jBPM distribution 6.0.0.CR5
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jbpm.workflow.core.node
Class StateBasedNode

    java.lang.Object
      org.jbpm.workflow.core.impl.NodeImpl
          org.jbpm.workflow.core.impl.ExtendedNodeImpl
              org.jbpm.workflow.core.node.StateBasedNode

All Implemented Interfaces:
  Serializable, Contextable, ContextResolver, Node

Direct Known Subclasses:
  CompositeNode, MilestoneNode, RuleSetNode, SubProcessNode, WorkItemNode

    public class StateBasedNode

extends ExtendedNodeImpl

See Also:
  Serialized Form

Field Summary

Fields inherited from class org.jbpm.workflow.core.impl.ExtendedNodeImpl
`EVENT_NODE_ENTER, EVENT_NODE_EXIT`

Fields inherited from class org.jbpm.workflow.core.impl.NodeImpl
`constraints, EMPTY_NODE_ARRAY`

Fields inherited from interface org.jbpm.workflow.core.Node
`CONNECTION_DEFAULT_TYPE`

Constructor Summary
`StateBasedNode()`

Method Summary
`void` | `addBoundaryEvents(String boundaryEvent)`
`void` | `addTimer(Timer timer, DroolsAction action)`
`List<String>` | `getBoundaryEvents()`
`Map<Timer,DroolsAction>` | `getTimers()`
`void` | `removeAllTimers()`
`void` | `setBoundaryEvents(List<String> boundaryEvents)`

Methods inherited from class org.jbpm.workflow.core.impl.ExtendedNodeImpl
`containsActions, getActions, getActionTypes, setActions`

Methods inherited from class org.jbpm.workflow.core.impl.NodeImpl
`addConstraint, addIncomingConnection, addOutgoingConnection, getConstraint, getConstraints, getContext, getDefaultIncomingConnections, getDefaultOutgoingConnections, getFrom, getId, getIncomingConnections, getIncomingConnections, getMetaData, getMetaData, getName, getNodeContainer, getOutgoingConnections, getOutgoingConnections, getTo, getUniqueId, internalGetConstraint, removeIncomingConnection, removeOutgoingConnection, resolveContext, setConstraint, setContext, setId, setMetaData, setMetaData, setName, setNodeContainer, validateAddIncomingConnection, validateAddOutgoingConnection, validateRemoveIncomingConnection, validateRemoveOutgoingConnection`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### StateBasedNode

    public StateBasedNode()

Method Detail

### getTimers

    public Map<Timer,DroolsAction> getTimers()

### addTimer

    public void addTimer(Timer timer,
                         DroolsAction action)

### removeAllTimers

    public void removeAllTimers()

### addBoundaryEvents

    public void addBoundaryEvents(String boundaryEvent)

### setBoundaryEvents

    public void setBoundaryEvents(List<String> boundaryEvents)

### getBoundaryEvents

    public List<String> getBoundaryEvents()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| jBPM distribution 6.0.0.CR5
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2013 JBoss by Red Hat. All Rights Reserved.